package com.codvision.commoncore.exception;

import lombok.Getter;
import lombok.Setter;

/**
 * 认证异常
 *
 * @author hxl
 */
@Getter
@Setter
public class AuthException extends RuntimeException {

    private Integer code;

    private String message;

    public AuthException() {
        super();
    }

    public AuthException(int code) {
        this.code = code;
    }

    public AuthException(String message) {
        super(message);
        this.message = message;
    }

    public AuthException(int code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

}
